-------------------------------
--擦除Windows Media Player使用痕迹
--
-------------------------------

tInitDef = {}

tInitDef[1] = {}
tInitDef[1]["gbT"]="擦除媒体播放软件运行痕迹"
tInitDef[1]["big5T"]="揽埃碈砰冀硁ン笲︽勃格"
tInitDef[1]["enT"]="Media Player"
tInitDef[1]["Key"]=140000
tInitDef[1]["iNoMenu"]=0
tInitDef[1]["fInstalled"]="LuaInstalled0"
tInitDef[1]["fEraseOpt"]="LuaCleaner0"
tInitDef[1]["tEraseTable"]="tEraseTable0"
tInitDef[1]["iRoot"]=4
tInitDef[1]["iSecond"]=0
tInitDef[1]["iThird"]=0

tInitDef[2] = {}
tInitDef[2]["gbT"]="擦除Windows Media Player使用痕迹"
tInitDef[2]["big5T"]="揽埃Windows Media Playerㄏノ勃格"
tInitDef[2]["enT"]="Windows Media Player"
tInitDef[2]["Key"]=140100
tInitDef[2]["iNoMenu"]=1
tInitDef[2]["fInstalled"]="LuaInstalled"
tInitDef[2]["fEraseOpt"]="LuaCleaner"
tInitDef[2]["tEraseTable"]="tEraseTable"
tInitDef[2]["iRoot"]=4
tInitDef[2]["iSecond"]=1
tInitDef[2]["iThird"]=0

tInitDef[3] = {}
tInitDef[3]["gbT"]="擦除QuickTime 6.x使用痕迹"
tInitDef[3]["big5T"]="揽埃QuickTime 6.xㄏノ勃格"
tInitDef[3]["enT"]="QuickTime 6.x"
tInitDef[3]["Key"]=140500
tInitDef[3]["iNoMenu"]=1
tInitDef[3]["fInstalled"]="LuaInstalled3"
tInitDef[3]["fEraseOpt"]="LuaCleaner3"
tInitDef[3]["tEraseTable"]="tEraseTable"
tInitDef[3]["iRoot"]=4
tInitDef[3]["iSecond"]=5
tInitDef[3]["iThird"]=0

tInitDef[4] = {}
tInitDef[4]["gbT"]="擦除RealPlayer RealOne RealDown使用痕迹"
tInitDef[4]["big5T"]="揽埃RealPlayer RealOne RealDownㄏノ勃格"
tInitDef[4]["enT"]="RealPlayer RealOne RealDown"
tInitDef[4]["Key"]=140800
tInitDef[4]["iNoMenu"]=1
tInitDef[4]["fInstalled"]="LuaInstalled4"
tInitDef[4]["fEraseOpt"]="LuaCleaner4"
tInitDef[4]["tEraseTable"]="tEraseTable"
tInitDef[4]["iRoot"]=4
tInitDef[4]["iSecond"]=8
tInitDef[4]["iThird"]=0

tInitDef[5] = {}
tInitDef[5]["gbT"]="擦除Winamp使用痕迹"
tInitDef[5]["big5T"]="揽埃Winampㄏノ勃格"
tInitDef[5]["enT"]="Winamp"
tInitDef[5]["Key"]=141000
tInitDef[5]["iNoMenu"]=1
tInitDef[5]["fInstalled"]="LuaInstalled5"
tInitDef[5]["fEraseOpt"]="LuaCleaner5"
tInitDef[5]["tEraseTable"]="tEraseTable"
tInitDef[5]["iRoot"]=4
tInitDef[5]["iSecond"]=10
tInitDef[5]["iThird"]=0

tInitDef[6] = {}
tInitDef[6]["gbT"]="擦除Streambox Ripper(音频转换软件)使用痕迹"
tInitDef[6]["big5T"]="揽埃Streambox Ripper(繵锣传硁ン)ㄏノ勃格"
tInitDef[6]["enT"]="Streambox Ripper"
tInitDef[6]["Key"]=141300
tInitDef[6]["iNoMenu"]=1
tInitDef[6]["fInstalled"]="LuaInstalled6"
tInitDef[6]["fEraseOpt"]="LuaCleaner6"
tInitDef[6]["tEraseTable"]="tEraseTable"
tInitDef[6]["iRoot"]=4
tInitDef[6]["iSecond"]=13
tInitDef[6]["iThird"]=0

tInitDef[7] = {}
tInitDef[7]["gbT"]="擦除FLASHPLAYER使用痕迹"
tInitDef[7]["big5T"]="揽埃FLASHPLAYERㄏノ勃格"
tInitDef[7]["enT"]="FLASHPLAYE"
tInitDef[7]["Key"]=141400
tInitDef[7]["iNoMenu"]=1
tInitDef[7]["fInstalled"]="LuaInstalled7"
tInitDef[7]["fEraseOpt"]="LuaCleaner7"
tInitDef[7]["tEraseTable"]="tEraseTable"
tInitDef[7]["iRoot"]=4
tInitDef[7]["iSecond"]=14
tInitDef[7]["iThird"]=0

tInitDef[8] = {}
tInitDef[8]["gbT"]="擦除Media Player Classic使用痕迹"
tInitDef[8]["big5T"]="揽埃Media Player Classicㄏノ勃格"
tInitDef[8]["enT"]="Media Player Classic"
tInitDef[8]["Key"]=141500
tInitDef[8]["iNoMenu"]=1
tInitDef[8]["fInstalled"]="LuaInstalled8"
tInitDef[8]["fEraseOpt"]="LuaCleaner8"
tInitDef[8]["tEraseTable"]="tEraseTable"
tInitDef[8]["iRoot"]=4
tInitDef[8]["iSecond"]=15
tInitDef[8]["iThird"]=0

tInitDef[9] = {}
tInitDef[9]["gbT"]="擦除 Kmplayer 2.9.x 播放列表"
tInitDef[9]["big5T"]="揽埃 Kmplayer 2.9.x 冀"
tInitDef[9]["enT"]="Kmplayer 2.9.x"
tInitDef[9]["Key"]=141600
tInitDef[9]["iNoMenu"]=1
tInitDef[9]["fInstalled"]="LuaInstalled9"
tInitDef[9]["fEraseOpt"]="LuaCleaner9"
tInitDef[9]["tEraseTable"]="tEraseTable"
tInitDef[9]["iRoot"]=4
tInitDef[9]["iSecond"]=16
tInitDef[9]["iThird"]=0

tInitDef[10] = {}
tInitDef[10]["gbT"]="擦除 VirtualDub 使用痕迹"
tInitDef[10]["big5T"]="揽埃 VirtualDub ㄏノ勃格"
tInitDef[10]["enT"]="VirtualDub"
tInitDef[10]["Key"]=141700
tInitDef[10]["iNoMenu"]=1
tInitDef[10]["fInstalled"]="LuaInstalled10"
tInitDef[10]["fEraseOpt"]="LuaCleaner10"
tInitDef[10]["tEraseTable"]="tEraseTable"
tInitDef[10]["iRoot"]=4
tInitDef[10]["iSecond"]=17
tInitDef[10]["iThird"]=0

HKEY_CLASSES_ROOT = 0x80000000
HKEY_CURRENT_USER = 0x80000001
HKEY_LOCAL_MACHINE = 0x80000002
HKEY_USERS = 0x80000003

  require "wyzl"

function LuaInstalled0()
	local bInstalled = 1
	return bInstalled
end;

function LuaCleaner0()
	tEraseTable0 = {};
end;

function LuaInstalled()

	local bInstalled = 0

	bInstalled = 1
	return bInstalled
end;

function LuaCleaner()

	strTitle ="擦除Media Player使用痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃Media Playerㄏノ勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="Media Player"
  end
  
	--require "vcl"	
	--VCL.ShowMessage(strTitle);

	WYZL.PlugReset();
	
	sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\MediaPlayer";
	sKeyPara = "\\Player\\RecentURLList,\\Player\\RecentFileList,\\Player\\Settings\\OpenDir,\\Player\\AutoComplete,\\Player\\Radio\\MRUList";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	--VCL.ShowMessage(sKeyPara);
	
	sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\MediaPlayer";
	sKeyPara = "\\Player\\Settings,OpenDir\\r\\n";
	sKeyPara = sKeyPara .. "\\Preferences,SearchPath,CDRecordPath,PlaylistEditLastNodePath,CurrentBackgroundScanFolder,LastPlaylist\\r\\n";
	WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);

	--VCL.ShowMessage(sKeyPara);

	--WYZL.AddActionItem("DelFile","%AppData%\\Microsoft\\Media Player\\ActivePlaylist.dat","",",");--SINGLEFILE
	WYZL.AddActionItem("DelFile","%AppData%\\Microsoft\\Media Player\\*.*","ExcludeSubFilesEx",",");
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Microsoft\\Media Player\\*.*","ExcludeSubFilesEx",",");
	WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\Microsoft\\Media Index\\wmplibrary*.db","",",");--SINGLEFILE
	WYZL.AddActionItem("DelFile","%USERPROFILE%\\我的音乐\\My Playlists\\*.*","ExcludeSubFilesEx",",");
	WYZL.AddActionItem("DelFile","%USERPROFILE%\\My Music\\My Playlists\\*.*","ExcludeSubFilesEx",",");
	
	WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Documents\\My Music\\Sample Playlists\\*.*","FilesFolders",",");
	WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Documents\\My Music\\Sync Playlists\\*.*","FilesFolders",",");
	WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Documents\\My Music\\我的播放列表\\*.*","FilesFolders",",");
	
	WYZL.AddActionItem("DelFile","%USERPROFILE%\\My Documents\\My Music\\My Playlists\\*.wpl","",",");
		
	nReturn = 0;
	if(WYZL.IsLoaded() == 1) then
		nReturn = WYZL.DoPlugErase(strTitle,-1,0);
	end
	
end;

function LuaInstalled3()

	local bInstalled = 0
	bRet = os.RegKeyExists(HKEY_LOCAL_MACHINE,"SOFTWARE\\Apple Computer, Inc.\\QuickTime")
	if( bRet == true) then
			bInstalled = 1
	end
	return bInstalled
end;

function LuaCleaner3()

	strTitle ="擦除QuickTime 6.x使用痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃QuickTime 6.xㄏノ勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="QuickTime 6.x"
  end
	
	WYZL.PlugReset();

	sKey = "HKEY_LOCAL_MACHINE\\SOFTWARE\\Apple Computer, Inc.\\QuickTime";
	sKeyPara = "\\Recent Movies,all";
	WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);	

	tEraseTable = {};
	strName = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"Software\\Microsoft\\Windows\\CurrentVersion\\explorer\\Shell Folders", "Common AppData")
	if(strName ~= nil) then
		WYZL.AddActionItem("DelFile",strName .. "\\QuickTime\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	end
	
	nReturn = 0;
	if(WYZL.IsLoaded() == 1) then
		nReturn = WYZL.DoPlugErase(strTitle,-1,0);
		
		--VCL.ShowMessage("結束");
	end
	
end;

function LuaInstalled4()

	local bInstalled = 1

	return bInstalled
end;

function LuaCleaner4()

	strTitle ="擦除RealPlayer RealOne RealDown使用痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃RealPlayer RealOne RealDownㄏノ勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="RealPlayer RealOne RealDown"
  end
	
	--require "vcl"
	WYZL.PlugReset();
	
	local strName = nil;
	
	sKeyPara = "\\MostRecentClips*,\\LastOpenFileDir,\\HistoryList,\\OpenLocationClips*,";
	
	sKey = "HKEY_CLASSES_ROOT\\Software\\RealNetworks\\RealPlayer\\6.0\\Preferences";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	sKey = "HKEY_LOCAL_MACHINE\\Software\\CLASSES\\Software\\RealNetworks\\RealPlayer\\6.0\\Preferences";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	
	sKey = "HKEY_CURRENT_USER\\Software\\RealNetworks\\RealPlayer";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);	
	
	sKey = "HKEY_CURRENT_USER\\Software\\RealNetworks\\RealDownload\\4.0";
	sKeyPara = "\\URL History,\\Jobs";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);	
	
	sKey = "HKEY_CURRENT_USER\\Software\\RealNetworks\\RealJukebox\\1.0\\Preferences";
	sKeyPara = "\\ImportWizardPath";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);	
	
	sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\ComDlg32";
	sKeyPara = "\\LastVisitedMRUt,\\OpenSaveMRU";
	WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);	
	
	strName = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\RealPlayer 6.0", "DisplayIcon")
	if(strName ~= nil) then
			strName = WYZL.GetFileDir(strName)
	end
	if(strName ~= nil) then	
		WYZL.AddActionItem("DelFile",strName .. "\\DataCache\\search\\search.ini","",",");--SINGLEFILE
		WYZL.AddActionItem("DelFile",strName .. "\\cache_db\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
		WYZL.AddActionItem("DelFile",strName .. "\\Favorites\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	end
	
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Real\\RealPlayer\\历史记录\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Real\\RealPlayer\\History\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Real\\RealPlayer\\TEMP\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Real\\RealPlayer\\db\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Real\\RealPlayer\\PMP\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Real\\RealPlayer\\ErrorLogs\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Real\\RealPlayer\\Favorites\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Real\\RealPlayer\\cache_db\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
		
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Real\\RealPlayer\\*.*","",",");--SINGLEFILE
	--WYZL.AddActionItem("DelFile","%LocalAppData%\\Real\\RealPlayer\\urls.ini","",",");--SINGLEFILE
	--WYZL.AddActionItem("DelFile","%LocalAppData%\\Real\\RealPlayer\\realplayer.ste","",",");--SINGLEFILE
	--WYZL.AddActionItem("DelFile","%LocalAppData%\\Real\\RealPlayer\\Cookies.txt","",",");--SINGLEFILE
	
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Real\\RealPlayer\\DataCache\\search\\search.ini","",",");--SINGLEFILE
	
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Real\\Msg\\*.*","",",");--SINGLEFILE
	
	WYZL.AddActionItem("DelFile","%AppData%\\Real\\RealPlayer\\历史记录\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%AppData%\\Real\\RealPlayer\\History\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%AppData%\\Real\\RealPlayer\\TEMP\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%AppData%\\Real\\RealPlayer\\db\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%AppData%\\Real\\RealPlayer\\PMP\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%AppData%\\Real\\RealPlayer\\ErrorLogs\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%AppData%\\Real\\RealPlayer\\Favorites\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%AppData%\\Real\\RealPlayer\\cache_db\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS

	WYZL.AddActionItem("DelFile","%AppData%\\Real\\RealPlayer\\*.*","",",");--SINGLEFILE
	--WYZL.AddActionItem("DelFile","%AppData%\\Real\\RealPlayer\\urls.ini","",",");--SINGLEFILE
	--WYZL.AddActionItem("DelFile","%AppData%\\Real\\RealPlayer\\realplayer.ste","",",");--SINGLEFILE
	--WYZL.AddActionItem("DelFile","%AppData%\\Real\\RealPlayer\\Cookies.txt","",",");--SINGLEFILE
	
	WYZL.AddActionItem("DelFile","%AppData%\\Real\\RealPlayer\\DataCache\\search\\search.ini","",",");--SINGLEFILE
	
	WYZL.AddActionItem("DelFile","%AppData%\\Real\\Msg\\*.*","",",");--SINGLEFILE
	
	WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\Real\\RealOne Player\\cookies.txt","",",");--SINGLEFILE
	WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\Real\\RealOne Player\\ctd.dat","",",");--SINGLEFILE
	WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\Real\\RealOne Player\\realplayer.ste","",",");--SINGLEFILE
	WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\Real\\RealOne Player\\urls.ini","",",");--SINGLEFILE

	WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\Real\\RealOne Player\\History\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\Real\\RealOne Player\\Temp\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS

	WYZL.AddActionItem("DelFile","%COMMONPROGRAMFILES%\\Real\\Common\\cookies.txt","",",");--SINGLEFILE
	
	strName = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\RealJukebox.ACP.1\\DefaultIcon", "")
	if(strName ~= nil) then
		strName = WYZL.GetFileDir(strName)
		if(strName ~= nil) then
			WYZL.AddActionItem("DelFile",strName .. "\\cache_db\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
		end
		
		if(WYZL.GetOSVersion() < 450) then
			WYZL.AddActionItem("DelFile",strName .. "\\Common Files\\Real\\Common\\Cookies.txt","",",");--SINGLEFILE
		end
	end
	
	nReturn = 0;
	if(WYZL.IsLoaded() == 1) then
		nReturn = WYZL.DoPlugErase(strTitle,-1,0);
		--VCL.ShowMessage(strTitle);
	end
	
end;

function LuaInstalled5()

	local bInstalled = 1

	return bInstalled
end;

function LuaCleaner5()

	strTitle ="擦除Winamp使用痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃Winampㄏノ勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="Winamp"
  end
	
	WYZL.PlugReset();
	
	--require "vcl"
	--VCL.ShowMessage(strTitle);
	
	WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\Winamp\\*.m3u","",",");
	WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\Winamp\\*.m3u8","",",");
	WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\Winamp\\Plugins\\ml\\main.dat","",",");
	WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\Winamp\\Plugins\\ml\\main.idx","",",");
	
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\cwd\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\last_short\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL1\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL2\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL3\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL4\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL5\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL6\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL7\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL8\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL9\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL10\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL11\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL12\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL13\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL14\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL15\\");
	WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Winamp\\Winamp.ini","","Winamp\\RecentURL16\\");

	strName = os.RegQueryValueEx(HKEY_CLASSES_ROOT,"Winamp.File\\DefaultIcon", "")
	if(strName ~= nil) then
		strName = WYZL.GetFileDir(strName)
		if(strName ~= nil) then
			WYZL.AddActionItem("DelFile",strName .. "\\winamp.m3u","",",");--SINGLEFILE
			WYZL.AddActionItem("DelFile",strName .. "\\Winamp.bm","",",");--SINGLEFILE
			WYZL.AddActionItem("DelFile",strName .. "\\Plugins\\gen_ml.ini","",",");--SINGLEFILE
			
			WYZL.AddActionItem("DelFile",strName .. "\\Plugins\\ml\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
		end
	end
	
	strName = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"Software\\CLASSES\\Winamp3.File\\shell\\open\\command", "")
	if(strName ~= nil) then
		strName = WYZL.GetFileDir(strName)
		if(strName ~= nil) then
			WYZL.AddActionItem("DelFile",strName .. "\\db\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
			
			WYZL.AddActionItem("DelFile",strName .. "\\studio.xnf","",",");--SINGLEFILE
			WYZL.AddActionItem("DelFile",strName .. "\\Wacs\\data\\pledit\\*.pls","",",");--SINGLEFILE
		end
	end
	
	strName = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\Winamp.File\\DefaultIcon", "")
	if(strName ~= nil) then
		strName = WYZL.GetFileDir(strName)
		if(strName ~= nil) then
			WYZL.AddActionItem("DelFile",strName .. "\\winamp.m3u","",",");--SINGLEFILE
			WYZL.AddActionItem("DelFile",strName .. "\\Winamp.bm","",",");--SINGLEFILE
			WYZL.AddActionItem("DelFile",strName .. "\\Plugins\\gen_ml.ini","",",");--SINGLEFILE
		end
	end
	
	nReturn = 0;
	if(WYZL.IsLoaded() == 1) then
		nReturn = WYZL.DoPlugErase(strTitle,-1,0);
		
		--VCL.ShowMessage("結束");
	end
	
end;

function LuaInstalled6()

	local bInstalled = 0
	bRet = os.RegKeyExists(HKEY_CURRENT_USER,"Software\\StreamBox\\Ripper")
	if( bRet == true) then
		bInstalled = 1
	end
	return bInstalled
end;

function LuaCleaner6()

	tEraseTable = {};
	os.RegDeleteAllValue(HKEY_CURRENT_USER,"Software\\StreamBox\\Ripper\\BOut");
	os.RegDeleteValue(HKEY_CURRENT_USER,"Software\\StreamBox\\Ripper\\Options","BInDir");
	os.RegDeleteValue(HKEY_CURRENT_USER,"Software\\StreamBox\\Ripper\\Options","BOut");
	os.RegDeleteValue(HKEY_CURRENT_USER,"Software\\StreamBox\\Ripper\\选项","BInDir");
	os.RegDeleteValue(HKEY_CURRENT_USER,"Software\\StreamBox\\Ripper\\选项","BOut");

end;

function LuaInstalled7()

	local bInstalled = 0
	bRet = os.RegKeyExists(HKEY_CURRENT_USER,"Software\\Macromedia\\FlashPlayer")
	if( bRet == true) then
		bInstalled = 1
	end
	return bInstalled
end;

function LuaCleaner7()

	strTitle ="擦除FLASHPLAYER使用痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃FLASHPLAYERㄏノ勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="FLASHPLAYER"
  end
	
	WYZL.PlugReset();

	os.RegDeleteAllValue(HKEY_CURRENT_USER,"Software\\Macromedia\\FlashPlayer");

  WYZL.AddActionItem("DelFile","%AppData%\\Adobe\\Flash Player\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
  WYZL.AddActionItem("DelFile","%AppData%\\Macromedia\\Flash Player\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS

  WYZL.AddActionItem("DelFile","%LocalAppData%\\Adobe\\Flash Player\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
  WYZL.AddActionItem("DelFile","%LocalAppData%\\Macromedia\\Flash Player\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
  
	WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\Macromedia\\Flash Player\\*.*","SubFolder",",");
	
	nReturn = 0;
	if(WYZL.IsLoaded() == 1) then
		nReturn = WYZL.DoPlugErase(strTitle,-1,0);
		
		--VCL.ShowMessage("結束");
	end
	
end;

function LuaInstalled8()

	local bInstalled = 0
	bRet = os.RegKeyExists(HKEY_CURRENT_USER,"Software\\Gabest\\Media Player Classic")
	if( bRet == true) then
		bInstalled = 1
	end
	return bInstalled
end;

function LuaCleaner8()

	strTitle ="擦除Media Player Classic使用痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃Media Player Classicㄏノ勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="Media Player Classic"
  end
	
	WYZL.PlugReset();
	
	sKey = "HKEY_CURRENT_USER\\Software\\Gabest\\Media Player Classic";
	sKeyPara = "\\Recent File List,all\\r\\n";
	sKeyPara = sKeyPara .. "\\Recent Dub List,all\\r\\n";
	sKeyPara = sKeyPara .. "\\Capture,FileName*";
	WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);	
	
	WYZL.AddActionItem("DelFile","%USERPROFILE%\\Application Data\\Media Player Classic\\*.mpcpl","",",");--SINGLEFILE
	
	nReturn = 0;
	if(WYZL.IsLoaded() == 1) then
		nReturn = WYZL.DoPlugErase(strTitle,-1,0);
		
		--VCL.ShowMessage("結束");
	end

end;

function LuaInstalled9()

	local bInstalled = 0
	strName = os.getenv("ProgramFiles")
	if(strName ~= nil) then
		if((WYZL.GetDirFileExists(strName .. "\\KMPlayer") == true) or (WYZL.GetDirFileExists(strName .. "\\The KMPlayer") == true)) then
			bInstalled = 1
		end		
	end
	return bInstalled
end;

function LuaCleaner9()

	strTitle ="擦除 Kmplayer 2.9.x 播放列表"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃 Kmplayer 2.9.x 冀"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="Kmplayer 2.9.x"
  end
	
	WYZL.PlugReset();

	sKey = "HKEY_CURRENT_USER\\Software\\KMPlayer";
	sKeyPara = "\\KMP2.0\\LastFileName,all\\r\\n";
	sKeyPara = sKeyPara .. "\\KMP2.0\\OpenList,all\\r\\n";
	sKeyPara = sKeyPara .. "\\LastFileName,all";
	WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);	
	
	strName = os.getenv("ProgramFiles")
	if(strName ~= nil) then
	  WYZL.AddActionItem("DelFile",strName .. "\\KMPlayer\\PlayList\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	  WYZL.AddActionItem("DelFile",strName .. "\\The KMPlayer\\PlayList\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	  WYZL.AddActionItem("DelFile",strName .. "\\Kmplayer Plus\\PlayList\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	  WYZL.AddActionItem("DelFile",strName .. "\\Pure Codec\\PlayList\\*.*","ExcludeSubFilesEx",",");--FILESFOLDERS
	  
	  WYZL.AddActionItem("DelFile",strName .. "\\Final Codecs\\PlayList\\Default.kpl","",",");--SINGLEFILE
	end
	
	nReturn = 0;
	if(WYZL.IsLoaded() == 1) then
		nReturn = WYZL.DoPlugErase(strTitle,-1,0);
		
		--VCL.ShowMessage("結束");
	end
	
end;

function LuaInstalled10()

	local bInstalled = 0
	bRet = os.RegKeyExists(HKEY_CURRENT_USER,"Software\\Adaptec\\Easy CD Creator")
	if( bRet == true) then
		bInstalled = 1
	end
	bRet = os.RegKeyExists(HKEY_CURRENT_USER,"Software\\Adaptec\\Easy CD Creator 4")
	if( bRet == true) then
		bInstalled = 1
	end
	return bInstalled
end;

function LuaCleaner10()

	tEraseTable = {};
	os.RegDeleteAllValue(HKEY_CURRENT_USER,"Software\\Freeware\\VirtualDub\\MRU List");

end;
